﻿import cmdlib
import es

addon = es.import_addon("soccer_mod_2010/cfg")

# ******************** Load ********************
def load():
	es.set("sm_training_model_ball", "soccer_mod/ball_2009.mdl")
	es.set("sm_training_command_spawn", "!spawn")

	cmdlib.registerServerCommand("soccer_mod_training_model_ball", model_ball, "Server Command")
	cmdlib.registerServerCommand("soccer_mod_training_command_spawn", command_spawn, "Server Command")

	es.server.cmd("exec soccer_mod/modules/training.cfg")

	addon.reg("sm_training_command_spawn", "soccer_mod_2010/training/cmd_spawn")

# ******************** Commands ********************
def model_ball(args):
	es.set("sm_training_model_ball", args[0])

def command_spawn(args):
	es.set("sm_training_command_spawn", args[0])

# ******************** Events ********************
def es_map_start(event_var):
	addon.unreg("sm_training_command_spawn")

	es.server.cmd("exec soccer_mod/modules/training.cfg")

	addon.reg("sm_training_command_spawn", "soccer_mod_2010/training/cmd_spawn")

# ******************** Unload ********************
def unload():
	cmdlib.unregisterServerCommand("soccer_mod_training_model_ball")
	cmdlib.unregisterServerCommand("soccer_mod_training_command_spawn")

	addon.unreg("sm_training_command_spawn")