﻿import cmdlib
import es

addon = es.import_addon("soccer_mod_2010/cfg")

# ******************** Load ********************
def load():
	es.set("sm_vote_command", "!vote")
	es.set("sm_vote_sound_start", "soccer_mod/vote/prepare.mp3")

	cmdlib.registerServerCommand("soccer_mod_vote_command", command, "Server Command")
	cmdlib.registerServerCommand("soccer_mod_vote_sound_start", sound_start, "Server Command")

	es.server.cmd("exec soccer_mod/modules/vote.cfg")

	addon.reg("sm_vote_command", "soccer_mod_2010/vote/cmd_vote")

# ******************** Commands ********************
def command(args):
	es.set("sm_vote_command", args[0])

def sound_start(args):
	es.set("sm_vote_sound_start", args[0])

# ******************** Events ********************
def es_map_start(event_var):
	addon.unreg("sm_vote_command")

	es.server.cmd("exec soccer_mod/modules/vote.cfg")

	addon.reg("sm_vote_command", "soccer_mod_2010/vote/cmd_vote")

# ******************** Unload ********************
def unload():
	cmdlib.unregisterServerCommand("soccer_mod_vote_command")
	cmdlib.unregisterServerCommand("soccer_mod_vote_sound_start")

	addon.unreg("sm_vote_command")